Bug 29868 - Add Koha::Old::Hold->anonymize
Summary: Add Koha::Old::Hold->anonymize
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 29869
Blocks: 29525
  Show dependency treegraph
 
Reported: 2022-01-12 19:23 UTC by Tomás Cohen Arazi
Modified: 2022-02-11 13:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29868: Add Koha::Old::Hold->anonymize (3.66 KB, patch)
2022-01-12 19:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29868: Add Koha::Old::Hold->anonymize (4.03 KB, patch)
2022-01-12 19:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29868: Add Koha::Old::Hold->anonymize (4.37 KB, patch)
2022-01-13 14:56 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29868: Add Koha::Old::Hold->anonymize (4.44 KB, patch)
2022-01-13 16:56 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29868: Add Koha::Old::Hold->anonymize (4.50 KB, patch)
2022-01-17 17:11 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-01-12 19:23:12 UTC
Found the need to anonymize from Koha::Hold->cancel, and in this case using an iterator would be overkill as I already have the Koha::Old::Hold object in place as the return value from $self->_move_to_old...
Comment 1 Tomás Cohen Arazi 2022-01-12 19:25:23 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2022-01-12 19:27:47 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2022-01-13 14:56:09 UTC
Created attachment 129410 [details] [review]
Bug 29868: Add Koha::Old::Hold->anonymize

This patch introduces a new method in Koha::Old::Hold. The method is
fully covered by tests.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Old/Hold.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2022-01-13 14:57:05 UTC
Resubmitted and made it dependent on bug 29869 as they both add tests to Koha/Hold.t and the count is always gonna be a problem :-D
Comment 5 Andrew Fuerste-Henry 2022-01-13 16:56:18 UTC
Created attachment 129423 [details] [review]
Bug 29868: Add Koha::Old::Hold->anonymize

This patch introduces a new method in Koha::Old::Hold. The method is
fully covered by tests.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Old/Hold.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 Martin Renvoize 2022-01-17 17:11:52 UTC
Created attachment 129541 [details] [review]
Bug 29868: Add Koha::Old::Hold->anonymize

This patch introduces a new method in Koha::Old::Hold. The method is
fully covered by tests.

To test:
1. Apply this patch
2. Run:
   $ kshell
  k$ prove t/db_dependent/Koha/Old/Hold.t
=> SUCCESS: Tests pass!
3. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2022-01-17 17:12:16 UTC
Tests passing, QA script happy.. Code all makes sense.

Passing QA
Comment 8 Fridolin Somers 2022-02-11 00:38:08 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄